## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iAwsLayoutManager Member List

This is the complete list of members for iAwsLayoutManager, including all inherited members.

AddComponent(iAwsComponent *cmp, iAwsComponentNode *settings)=0 | iAwsLayoutManager | `[pure virtual]`
AddRefOwner(iBase **ref_owner)=0 | iBase | `[pure virtual]`
DecRef()=0 | iBase | `[pure virtual]`
GetRefCount()=0 | iBase | `[pure virtual]`
IncRef()=0 | iBase | `[pure virtual]`
LayoutComponents()=0 | iAwsLayoutManager | `[pure virtual]`
QueryInterface(scfInterfaceID iInterfaceID, int iVersion)=0 | iBase | `[pure virtual]`
RemoveComponent(iAwsComponent *)=0 | iAwsLayoutManager | `[pure virtual]`
RemoveRefOwner(iBase **ref_owner)=0 | iBase | `[pure virtual]`
SetOwner(iAwsComponent *_owner)=0 | iAwsLayoutManager | `[pure virtual]`